Can't open new Kontakt version in Logic Pro X

Discussion in 'Kontakt' started by Rudah, Oct 17, 2018.

  1. Rudah

    Rudah Newbie

    Joined:
    Oct 17, 2018
    Messages:
    4
    Likes Received:
    1
    Hello there,

    I'm trying to use my new version of Kontakt in Logic Pro X. I deleted all Kontakt files I could find, but it keeps opening the old version, and I have no idea where it might be. Any suggestions?
    Is there any way I can choose the version I want to open in logic?

     
  2.  
  3. jazzzz

    jazzzz Member

    Joined:
    Mar 13, 2018
    Messages:
    93
    Likes Received:
    19
    if you meant to say having installed the Kontakt 6, it doesn't interfere with the earlier versions because it has a different name, in differently named location (Kontakt folder). It's a new AU plugin, called Kontakt.component (without version-number). So you didn't need to delete old Kontakt, at all. But it seems you didn't add this new Kontakt in Logic.
    The plugin is in Library/Audio/Plug-Ins/Components - next to the old version.
     
  4. tooloud

    tooloud Producer

    Joined:
    Dec 29, 2017
    Messages:
    150
    Likes Received:
    139
    Location:
    8:15 the time that it's always been
    It's hard to know how to help. You might as well ask "hey guys! I can't find my car keys. Any idea where they might be?"
    Is your standalone K6 working?
    Is there a Kontakt.component file in your au plugin folder?
    Is it marked as validated?
    If the standalone is okay you may need to reinstall the plugin and run the often mentioned command in the terminal. I can't recall it at the moment.
     
  5. Rudah

    Rudah Newbie

    Joined:
    Oct 17, 2018
    Messages:
    4
    Likes Received:
    1
    Sorry, let me be more specific.
    A friend asked me to install a newer version of Kontakt in his computer. I have the 5.7.3 version.
    I tried installing it with the installer package I used to install it in my computer, but i got the message "Installation is not possible since the full version of Kontakt 5 is found on this computer."
    Then I tried to update it with an update pkg that I also used, but I got the message "No previous installation found."
    I tried to delete the old version and repeat the procedure, but I got the same messages.
    The standalone 5.7.3 works fine. But when I open in logic, it opens a 5.5.1 version, and I can't find its files.
     
  6. Cosval

    Cosval Newbie

    Joined:
    Jun 17, 2014
    Messages:
    10
    Likes Received:
    2
    Location:
    Europe
    Are you talking of Kontakt 6 Full or the Player version of Kontakt 6 ?
     
  7. tooloud

    tooloud Producer

    Joined:
    Dec 29, 2017
    Messages:
    150
    Likes Received:
    139
    Location:
    8:15 the time that it's always been
    This is more confusing. It's on someone else's computer and you're trying to install 5.7.3 over what version? Why 5.7.3?
    It sounds like your friends computer has a legit older version or the Kontakt player. Is your 5.7.3 legit? I don't care if it's not but 5.6.6 was the last useful version from which to upgrade. Meaning it allows the addition of libraries.
    I'd trash everything Kontakt related (apart from your libraries of course) and start over with 5.6.6 then install 6. Keep both versions in the app folder. Use the old standalone to add libs, but keep the latest plugins only.
     
  8. jazzzz

    jazzzz Member

    Joined:
    Mar 13, 2018
    Messages:
    93
    Likes Received:
    19
    Best Answer
    Your two posts are contradicting a bit.
    Anyway, what did you exactly delete when intended to remove every Kontakt related file?
    I guess you missed deleting the files in Users/(your username)/Library/Preferences
    That's why it didn't let you install it from scratch.
     
  9. Rudah

    Rudah Newbie

    Joined:
    Oct 17, 2018
    Messages:
    4
    Likes Received:
    1
    Yes, I missed it! Now its working, thank you very much!
     
  10. Rudah

    Rudah Newbie

    Joined:
    Oct 17, 2018
    Messages:
    4
    Likes Received:
    1
    That's what I was trying to do (with 5.7.3 - which I believe it's not legit - instead of 6), but I didn't really delete all Kontakt files - I missed the files in Users/(username)/Library/Preferences, so I couldn't install the 5.6.5 version. Now it works, thank you for the help!
     
Loading...
Loading...